Thu Feb 29 12:00:30 1996 Tom Tromey <tromey@creche.cygnus.com>
+ * automake.in (am_install_var): Allow extended range of
+ installation directories.
+
* automake.in (get_object_extension): Don't allow
@CONFIG_INCLUDE_SPEC@ in the Makefile.in when config.h not used.
From Gord Matzigkeit. Test confincl.test.
Priorities for release:
* Check all require_file errors to see if any should reference a line in
Makefile.am or configure.in. [handle_configure does]
-* test gettext stuff for po/intl?
* handle AC_CONFIG_AUX_DIR; must include install-sh
what about mkinstalldirs, mdate-sh?
&am_line_error ($primary, "\`$primary' is an anachronism")
if defined $contents{$primary};
+
+ # Look for misspellings. It is an error to have a variable ending
+ # in a "reserved" suffix whose prefix is unknown, eg
+ # "bni_PROGRAMS". However, unusual prefixes are allowed if a
+ # variable of the same name (with "dir" appended) exists. For
+ # instance, if the variable "zardir" is defined, then
+ # "zar_PROGRAMS" becomes valid. This is to provide a little extra
+ # flexibility in those cases which need it. Perhaps it should be
+ # disallowed in the Gnits case? The problem is, sometimes it is
+ # useful to put things in a subdir of eg pkgdatadir, perhaps even
+ # for Gnitsoids.
+ local (%valid, $varname);
+ grep ($valid{$_} = 0, @prefixes);
+ $valid{'EXTRA'} = 0;
+ foreach $varname (keys %contents)
+ {
+ if ($varname =~ /^(.*)_$primary$/)
+ {
+ if (! defined $valid{$1} && ! defined $contents{$1 . 'dir'})
+ {
+ &am_line_error ($varname, "invalid variable \"$varname\"");
+ }
+ }
+ }
+
local ($clean_file) = $file . '-clean';
local ($one_name);
local ($X);
push (@all, '$(' . $primary . ')')
if $do_all && @used;
- # Look for misspellings. It is an error to have a variable ending
- # in a "reserved" suffix whose prefix is unknown, eg
- # "bni_PROGRAMS".
- local (%valid, $varname);
- grep ($valid{$_} = 0, @prefixes);
- $valid{'EXTRA'} = 0;
- foreach $varname (keys %contents)
- {
- if ($varname =~ /^(.*)_$primary$/ && ! defined $valid{$1})
- {
- &am_line_error ($varname, "invalid variable \"$varname\"");
- }
- }
-
push (@result, split (/\s+/, $contents{'EXTRA_' . $primary}))
if defined $contents{'EXTRA_' . $primary};
@samp{bindir_PROGRAMS}.
Not every sort of object can be installed in every directory. Automake
-will flag those attempts it finds in error.
+will flag those attempts it finds in error. Automake will also diagnose
+obvious misspellings in directory names.
+
+Sometimes the standard directories -- even as augmented by Automake --
+are not enough. In particular it is sometimes useful, for clarity, to
+install objects in a subdirectory of some predefined directory. To this
+end, Automake allows you to extend the list of possible installation
+directories. A given prefix (eg @samp{zar}) is valid if a variable of
+the same name with @samp{dir} appended is defined (eg @samp{zardir}).
The special prefix @samp{noinst} indicates that the objects in question
should not be installed at all.
Thu Feb 29 20:23:42 1996 Tom Tromey <tromey@creche.cygnus.com>
+ More tests:
+ * prefix.test: New file.
+ * spelling.test: New file
* confincl.test: New file.
+ * Makefile.am (TESTS): Updated.
Wed Feb 28 11:57:02 1996 Tom Tromey <tromey@creche.cygnus.com>
## Perhaps he is right.
TESTS = mdate.test vtexi.test acoutput.test instexec.test checkall.test \
acoutnoq.test acouttbs.test libobj.test proginst.test acoutqnl.test \
-confincl.test
+confincl.test spelling.test prefix.test
DIST_OTHER = defs
TESTS = mdate.test vtexi.test acoutput.test instexec.test checkall.test \
acoutnoq.test acouttbs.test libobj.test proginst.test acoutqnl.test \
-confincl.test
+confincl.test spelling.test prefix.test
DIST_OTHER = defs
DIST_COMMON = ChangeLog Makefile.am Makefile.in
--- /dev/null
+#! /bin/sh
+
+# This tests for a bug reported by Gord Matzigkeit.
+# If config.h is not used, @CONFIG_INCLUDE_SPEC@ should not appear
+# in Makefile.in.
+
+. $srcdir/defs || exit 1
+
+cat > Makefile.am << 'EOF'
+bin_PROGRAMS = fred
+EOF
+
+$AUTOMAKE || exit 1
+
+if grep '@CONFIG_INCLUDE_SPEC@' Makefile.in; then
+ exit 1
+fi
+exit 0
--- /dev/null
+#! /bin/sh
+
+# Test to make sure that misspelled prefixes actually cause error.
+
+. $srcdir/defs || exit 1
+
+cat > Makefile.am << 'EOF'
+bni_PROGRAMS = zot
+EOF
+
+if $AUTOMAKE; then
+ exit 1
+fi
+exit 0
-@set UPDATED 28 February 1996
+@set UPDATED 29 February 1996
@set EDITION 0.31
@set VERSION 0.31